<?php


namespace Schaffen\Financial\BillingRoute\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Person\Models\Person;
use Schaffen\Financial\BillingRoute\Models\Route;

class RouteRepository extends Repository
{
    protected $model = Route::class;
    protected $searchableFields = [
        ['field' => 'rot_codigo'],
        ['field' => 'rot_descricao', 'operator' => 'ilike'],
    ];

    protected function applyCustomFilters()
    {
        extract($this->filters);
    }

    public function buscaCliente($values)
    {
        $per_page = $values['per_page'] ?? 5000;
        $consulta =  Person::leftJoin('cadastro.pessoa_modalidade', 'pes_codigo', '=', 'pem_fk_pes_codigo')
            ->where($values['tipo_consulta'], "ilike", "%" . $values['string_consulta'] . "%")
            ->orWhere('pes_razao_social', "ilike", "%" . $values['string_consulta'] . "%") //TODO verificar se a consulta por razao social está funcionando
            ->with('address_default', 'contact_default', 'rota_que_pertence_cliente','person_modality')->paginate($per_page);

        return $consulta->where('person_modality.pem_fk_mdd_codigo',3);

    }

    public function todosOsClientes($values){
        $per_page = $values['per_page'] ?? 500000;

        return  Person::leftJoin('cadastro.pessoa_modalidade', 'pes_codigo', '=', 'pem_fk_pes_codigo')
            ->where('cadastro.pessoa_modalidade.pem_fk_mdd_codigo',3)
            ->with('address_default', 'contact_default', 'route_client')->paginate($per_page);
    }
}