<?php


namespace Schaffen\Financial\FinancialMovement\Models;


use Illuminate\Database\Eloquent\Model;

class ImportedFinancialMovement extends Model
{

    const STATUS_EXPORTADO = 0;
    const STATUS_IMPORTADO = 1;

    protected $table = "financeiro.movimentacao_financeira_importado";

    protected $primaryKey = "mfim_codigo";

    protected $fillable = [
        "mfim_fk_mvf_codigo", "mfim_fk_par_codigo", "mfim_valor", "mfi_data_exportado",
        "mfi_data_importado", "mfim_descricao", "mfim_status"];
    public $timestamps = false;
    public $incrementing = false;

    public function cost_center(){
        return $this->belongsTo(CostCenter::class, "mfim_fk_ccu_codigo");
    }
    public function installment(){
        return $this->belongsTo(Installment::class, "mfim_fk_par_codigo");
    }
}