<?php

namespace Schaffen\Financial\Person\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Company\Models\Branch;

class Person extends Model
{    
    protected $table = "financeiro.pessoa";
    protected $primaryKey = "pes_codigo";
    const CREATED_AT = 'pes_data_cadastro';
    const UPDATED_AT = 'pes_data_ultima_alteracao';
    protected $fillable = [
        "pes_codigo",
        "pes_fk_fil_codigo",
        "pes_cnpj_cpf",
        "pes_rs_nome",
        "pes_nf_sob",
        "pes_status",
        "pes_obs",
        "pes_valor_limite",
        "pes_taxa_boleto"
    ];

    public function branches()
    {
        return $this->belongsTo(Branch::class, 'pes_fk_fil_codigo', 'fil_codigo');
    }

}
