<?php


namespace Schaffen\Financial\Person\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Financial\Person\Models\Person;

class PersonRepository extends Repository
{
    protected $model = Person::class;
    protected $orderBy = 'pes_nome';

    protected $searchableFields = [
        ["field" => 'pes_status'],
        ["field" => 'pes_cnpj_cpf'],
    ];

    public function injectFiltersOnQuery()
    {
        $name = null;
        extract($this->filters);

        $this->query->when($name, function ($query) use ($name){
            return $query->where('pes_nome', 'ilike', '%'.$name.'%');
        });


        parent::injectFiltersOnQuery();
    }
}
